using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATScript")]
[Index("EventId", Name = "ATScript_IX_EventId")]
[Index("ProcessId", Name = "ATScript_IX_ProcessId")]
public partial class Atscript
{
    [StringLength(255)]
    public string ScriptModuleName { get; set; } = null!;

    [Column("ProcessID")]
    public int? ProcessId { get; set; }

    [Column("EventID")]
    public int? EventId { get; set; }

    public int? ModuleType { get; set; }

    [Column("CODE", TypeName = "image")]
    public byte[]? Code { get; set; }

    [Column("FRX", TypeName = "image")]
    public byte[]? Frx { get; set; }

    [ForeignKey("EventId")]
    public virtual AteventDefinition? Event { get; set; }

    [ForeignKey("ProcessId")]
    public virtual AtprocessDefinition? Process { get; set; }
}
